// python wrapper for vtkITKConfidenceConnectedImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKConfidenceConnectedImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKConfidenceConnectedImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKConfidenceConnectedImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterUSUSNew(char *); }

static PyObject *PyvtkITKConfidenceConnectedImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConfidenceConnectedImageFilter *op;

  const char    *temp20;
  op = (vtkITKConfidenceConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKConfidenceConnectedImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConfidenceConnectedImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConfidenceConnectedImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKConfidenceConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKConfidenceConnectedImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConfidenceConnectedImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConfidenceConnectedImageFilter *op;

  vtkITKConfidenceConnectedImageFilter  *temp20;
  op = (vtkITKConfidenceConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKConfidenceConnectedImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConfidenceConnectedImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKConfidenceConnectedImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKConfidenceConnectedImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKConfidenceConnectedImageFilter_SetReplaceValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConfidenceConnectedImageFilter *op;

  double   temp0;
  op = (vtkITKConfidenceConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKConfidenceConnectedImageFilter::SetReplaceValue(temp0);
      }
    else
      {
      op->SetReplaceValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConfidenceConnectedImageFilter_SetMultiplier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConfidenceConnectedImageFilter *op;

  double   temp0;
  op = (vtkITKConfidenceConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKConfidenceConnectedImageFilter::SetMultiplier(temp0);
      }
    else
      {
      op->SetMultiplier(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConfidenceConnectedImageFilter_GetMultiplier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConfidenceConnectedImageFilter *op;

  double   temp20;
  op = (vtkITKConfidenceConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKConfidenceConnectedImageFilter::GetMultiplier();
      }
    else
      {
      temp20 = op->GetMultiplier();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConfidenceConnectedImageFilter_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConfidenceConnectedImageFilter *op;

  unsigned int      temp0;
  op = (vtkITKConfidenceConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKConfidenceConnectedImageFilter::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConfidenceConnectedImageFilter_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConfidenceConnectedImageFilter *op;

  unsigned int      temp20;
  op = (vtkITKConfidenceConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKConfidenceConnectedImageFilter::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConfidenceConnectedImageFilter_SetSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConfidenceConnectedImageFilter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkITKConfidenceConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKConfidenceConnectedImageFilter::SetSeed(temp0,temp1,temp2);
      }
    else
      {
      op->SetSeed(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKConfidenceConnectedImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKConfidenceConnectedImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKConfidenceConnectedImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKConfidenceConnectedImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKConfidenceConnectedImageFilter\nC++: vtkITKConfidenceConnectedImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKConfidenceConnectedImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKConfidenceConnectedImageFilter\nC++: vtkITKConfidenceConnectedImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetReplaceValue",                (PyCFunction)PyvtkITKConfidenceConnectedImageFilter_SetReplaceValue, 1,
   (char*)"V.SetReplaceValue(float)\nC++: void SetReplaceValue (double value);InputImagePixelType d static_cast InputImagePixelType value DelegateITKInputMacro SetReplaceValue d \n\n"},
  {(char*)"SetMultiplier",                (PyCFunction)PyvtkITKConfidenceConnectedImageFilter_SetMultiplier, 1,
   (char*)"V.SetMultiplier(float)\nC++: void SetMultiplier (double value);DelegateITKInputMacro SetMultiplier value \n\n"},
  {(char*)"GetMultiplier",                (PyCFunction)PyvtkITKConfidenceConnectedImageFilter_GetMultiplier, 1,
   (char*)"V.GetMultiplier() -> float\nC++: double GetMultiplier ();DelegateITKOutputMacro GetMultiplier \n\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkITKConfidenceConnectedImageFilter_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (unsigned int value);DelegateITKInputMacro SetNumberOfIterations value \n\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkITKConfidenceConnectedImageFilter_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: unsigned int GetNumberOfIterations ();DelegateITKOutputMacro GetNumberOfIterations \n\n"},
  {(char*)"SetSeed",                (PyCFunction)PyvtkITKConfidenceConnectedImageFilter_SetSeed, 1,
   (char*)"V.SetSeed(int, int, int)\nC++: void SetSeed (int x, int y, int z);ImageFilterType IndexType seed seed x seed y seed z this GetImageFilterPointer SetSeed seed \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKConfidenceConnectedImageFilterDoc[] = {
  (char*)"vtkITKConfidenceConnectedImageFilter - Wrapper class around itk::ConfidenceConnectedImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterUSUS\n\n",
  (char*)" vtkITKConfidenceConnectedImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKConfidenceConnectedImageFilterStaticNew()
{
  return vtkITKConfidenceConnectedImageFilter::New();
}

PyObject *PyVTKClass_vtkITKConfidenceConnectedImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKConfidenceConnectedImageFilterStaticNew,
                        PyvtkITKConfidenceConnectedImageFilterMethods,
                        (char*)"vtkITKConfidenceConnectedImageFilter",modulename,
                        (char**)vtkITKConfidenceConnectedImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterUSUSNew(modulename));
}

