// python wrapper for vtkITKConnectedThresholdImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKConnectedThresholdImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKConnectedThresholdImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKConnectedThresholdImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterUSUSNew(char *); }

static PyObject *PyvtkITKConnectedThresholdImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConnectedThresholdImageFilter *op;

  const char    *temp20;
  op = (vtkITKConnectedThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKConnectedThresholdImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConnectedThresholdImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConnectedThresholdImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKConnectedThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKConnectedThresholdImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConnectedThresholdImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConnectedThresholdImageFilter *op;

  vtkITKConnectedThresholdImageFilter  *temp20;
  op = (vtkITKConnectedThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKConnectedThresholdImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConnectedThresholdImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKConnectedThresholdImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKConnectedThresholdImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKConnectedThresholdImageFilter_SetReplaceValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConnectedThresholdImageFilter *op;

  double   temp0;
  op = (vtkITKConnectedThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKConnectedThresholdImageFilter::SetReplaceValue(temp0);
      }
    else
      {
      op->SetReplaceValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConnectedThresholdImageFilter_SetUpper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConnectedThresholdImageFilter *op;

  double   temp0;
  op = (vtkITKConnectedThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKConnectedThresholdImageFilter::SetUpper(temp0);
      }
    else
      {
      op->SetUpper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConnectedThresholdImageFilter_GetUpper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConnectedThresholdImageFilter *op;

  double   temp20;
  op = (vtkITKConnectedThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKConnectedThresholdImageFilter::GetUpper();
      }
    else
      {
      temp20 = op->GetUpper();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConnectedThresholdImageFilter_SetLower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConnectedThresholdImageFilter *op;

  double   temp0;
  op = (vtkITKConnectedThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKConnectedThresholdImageFilter::SetLower(temp0);
      }
    else
      {
      op->SetLower(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConnectedThresholdImageFilter_GetLower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConnectedThresholdImageFilter *op;

  double   temp20;
  op = (vtkITKConnectedThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKConnectedThresholdImageFilter::GetLower();
      }
    else
      {
      temp20 = op->GetLower();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConnectedThresholdImageFilter_ClearSeeds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConnectedThresholdImageFilter *op;

  op = (vtkITKConnectedThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKConnectedThresholdImageFilter::ClearSeeds();
      }
    else
      {
      op->ClearSeeds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKConnectedThresholdImageFilter_AddSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKConnectedThresholdImageFilter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkITKConnectedThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKConnectedThresholdImageFilter::AddSeed(temp0,temp1,temp2);
      }
    else
      {
      op->AddSeed(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKConnectedThresholdImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKConnectedThresholdImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKConnectedThresholdImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKConnectedThresholdImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKConnectedThresholdImageFilter\nC++: vtkITKConnectedThresholdImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKConnectedThresholdImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKConnectedThresholdImageFilter\nC++: vtkITKConnectedThresholdImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetReplaceValue",                (PyCFunction)PyvtkITKConnectedThresholdImageFilter_SetReplaceValue, 1,
   (char*)"V.SetReplaceValue(float)\nC++: void SetReplaceValue (double value);InputImagePixelType d static_cast InputImagePixelType value DelegateITKInputMacro SetReplaceValue d \n\n"},
  {(char*)"SetUpper",                (PyCFunction)PyvtkITKConnectedThresholdImageFilter_SetUpper, 1,
   (char*)"V.SetUpper(float)\nC++: void SetUpper (double ind);InputImagePixelType d static_cast InputImagePixelType ind DelegateITKInputMacro SetUpper d \n\n"},
  {(char*)"GetUpper",                (PyCFunction)PyvtkITKConnectedThresholdImageFilter_GetUpper, 1,
   (char*)"V.GetUpper() -> float\nC++: double GetUpper ();DelegateITKOutputMacro GetUpper \n\n"},
  {(char*)"SetLower",                (PyCFunction)PyvtkITKConnectedThresholdImageFilter_SetLower, 1,
   (char*)"V.SetLower(float)\nC++: void SetLower (double ind);InputImagePixelType d static_cast InputImagePixelType ind DelegateITKInputMacro SetLower d \n\n"},
  {(char*)"GetLower",                (PyCFunction)PyvtkITKConnectedThresholdImageFilter_GetLower, 1,
   (char*)"V.GetLower() -> float\nC++: double GetLower ();DelegateITKOutputMacro GetLower \n\n"},
  {(char*)"ClearSeeds",                (PyCFunction)PyvtkITKConnectedThresholdImageFilter_ClearSeeds, 1,
   (char*)"V.ClearSeeds()\nC++: void ClearSeeds ();this GetImageFilterPointer ClearSeeds \n\n"},
  {(char*)"AddSeed",                (PyCFunction)PyvtkITKConnectedThresholdImageFilter_AddSeed, 1,
   (char*)"V.AddSeed(int, int, int)\nC++: void AddSeed (int x, int y, int z);ImageFilterType IndexType seed seed x seed y seed z this GetImageFilterPointer AddSeed seed \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKConnectedThresholdImageFilterDoc[] = {
  (char*)"vtkITKConnectedThresholdImageFilter - Wrapper class around itk::ConnectedThresholdImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterUSUS\n\n",
  (char*)" vtkITKConnectedThresholdImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKConnectedThresholdImageFilterStaticNew()
{
  return vtkITKConnectedThresholdImageFilter::New();
}

PyObject *PyVTKClass_vtkITKConnectedThresholdImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKConnectedThresholdImageFilterStaticNew,
                        PyvtkITKConnectedThresholdImageFilterMethods,
                        (char*)"vtkITKConnectedThresholdImageFilter",modulename,
                        (char**)vtkITKConnectedThresholdImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterUSUSNew(modulename));
}

