// python wrapper for vtkITKImageToImageFilterUSUS object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKImageToImageFilterUSUS.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKImageToImageFilterUSUSNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterUSUSNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterNew(char *); }

static PyObject *PyvtkITKImageToImageFilterUSUS_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterUSUS *op;

  const char    *temp20;
  op = (vtkITKImageToImageFilterUSUS *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterUSUS::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilterUSUS_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterUSUS *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKImageToImageFilterUSUS *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterUSUS::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilterUSUS_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterUSUS *op;

  vtkITKImageToImageFilterUSUS  *temp20;
  op = (vtkITKImageToImageFilterUSUS *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterUSUS::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKImageToImageFilterUSUSMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKImageToImageFilterUSUS_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKImageToImageFilterUSUS_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKImageToImageFilterUSUS_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKImageToImageFilterUSUS\nC++: vtkITKImageToImageFilterUSUS *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKImageToImageFilterUSUSDoc[] = {
  (char*)"vtkITKImageToImageFilter - Abstract base class for connecting ITK and VTK\n\n",
  "Super Class:\n\n vtkITKImageToImageFilter\n\n",
  (char*)" vtkITKImageToImageFilter provides a \n\n",
  NULL
};

static vtkObjectBase *vtkITKImageToImageFilterUSUSStaticNew()
{
  return vtkITKImageToImageFilterUSUS::New();
}

PyObject *PyVTKClass_vtkITKImageToImageFilterUSUSNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKImageToImageFilterUSUSStaticNew,
                        PyvtkITKImageToImageFilterUSUSMethods,
                        (char*)"vtkITKImageToImageFilterUSUS",modulename,
                        (char**)vtkITKImageToImageFilterUSUSDoc,
                        PyVTKClass_vtkITKImageToImageFilterNew(modulename));
}

