// python wrapper for vtkITKIsolatedConnectedImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKIsolatedConnectedImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKIsolatedConnectedImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKIsolatedConnectedImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterUSUSNew(char *); }

static PyObject *PyvtkITKIsolatedConnectedImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKIsolatedConnectedImageFilter *op;

  const char    *temp20;
  op = (vtkITKIsolatedConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKIsolatedConnectedImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKIsolatedConnectedImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKIsolatedConnectedImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKIsolatedConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKIsolatedConnectedImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKIsolatedConnectedImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKIsolatedConnectedImageFilter *op;

  vtkITKIsolatedConnectedImageFilter  *temp20;
  op = (vtkITKIsolatedConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKIsolatedConnectedImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKIsolatedConnectedImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKIsolatedConnectedImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKIsolatedConnectedImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKIsolatedConnectedImageFilter_SetReplaceValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKIsolatedConnectedImageFilter *op;

  double   temp0;
  op = (vtkITKIsolatedConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKIsolatedConnectedImageFilter::SetReplaceValue(temp0);
      }
    else
      {
      op->SetReplaceValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKIsolatedConnectedImageFilter_SetLower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKIsolatedConnectedImageFilter *op;

  double   temp0;
  op = (vtkITKIsolatedConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKIsolatedConnectedImageFilter::SetLower(temp0);
      }
    else
      {
      op->SetLower(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKIsolatedConnectedImageFilter_GetLower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKIsolatedConnectedImageFilter *op;

  double   temp20;
  op = (vtkITKIsolatedConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKIsolatedConnectedImageFilter::GetLower();
      }
    else
      {
      temp20 = op->GetLower();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKIsolatedConnectedImageFilter_GetIsolatedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKIsolatedConnectedImageFilter *op;

  double   temp20;
  op = (vtkITKIsolatedConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKIsolatedConnectedImageFilter::GetIsolatedValue();
      }
    else
      {
      temp20 = op->GetIsolatedValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKIsolatedConnectedImageFilter_SetSeed1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKIsolatedConnectedImageFilter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkITKIsolatedConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKIsolatedConnectedImageFilter::SetSeed1(temp0,temp1,temp2);
      }
    else
      {
      op->SetSeed1(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKIsolatedConnectedImageFilter_SetSeed2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKIsolatedConnectedImageFilter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkITKIsolatedConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKIsolatedConnectedImageFilter::SetSeed2(temp0,temp1,temp2);
      }
    else
      {
      op->SetSeed2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKIsolatedConnectedImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKIsolatedConnectedImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKIsolatedConnectedImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKIsolatedConnectedImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKIsolatedConnectedImageFilter\nC++: vtkITKIsolatedConnectedImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKIsolatedConnectedImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKIsolatedConnectedImageFilter\nC++: vtkITKIsolatedConnectedImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetReplaceValue",                (PyCFunction)PyvtkITKIsolatedConnectedImageFilter_SetReplaceValue, 1,
   (char*)"V.SetReplaceValue(float)\nC++: void SetReplaceValue (double value);InputImagePixelType d static_cast InputImagePixelType value DelegateITKInputMacro SetReplaceValue d \n\n"},
  {(char*)"SetLower",                (PyCFunction)PyvtkITKIsolatedConnectedImageFilter_SetLower, 1,
   (char*)"V.SetLower(float)\nC++: void SetLower (double ind);InputImagePixelType d static_cast InputImagePixelType ind DelegateITKInputMacro SetLower d \n\n"},
  {(char*)"GetLower",                (PyCFunction)PyvtkITKIsolatedConnectedImageFilter_GetLower, 1,
   (char*)"V.GetLower() -> float\nC++: double GetLower ();DelegateITKOutputMacro GetLower \n\n"},
  {(char*)"GetIsolatedValue",                (PyCFunction)PyvtkITKIsolatedConnectedImageFilter_GetIsolatedValue, 1,
   (char*)"V.GetIsolatedValue() -> float\nC++: double GetIsolatedValue ();DelegateITKOutputMacro GetIsolatedValue \n\n"},
  {(char*)"SetSeed1",                (PyCFunction)PyvtkITKIsolatedConnectedImageFilter_SetSeed1, 1,
   (char*)"V.SetSeed1(int, int, int)\nC++: void SetSeed1 (int x, int y, int z);ImageFilterType IndexType seed seed x seed y seed z this GetImageFilterPointer SetSeed1 seed \n\n"},
  {(char*)"SetSeed2",                (PyCFunction)PyvtkITKIsolatedConnectedImageFilter_SetSeed2, 1,
   (char*)"V.SetSeed2(int, int, int)\nC++: void SetSeed2 (int x, int y, int z);ImageFilterType IndexType seed seed x seed y seed z this GetImageFilterPointer SetSeed2 seed \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKIsolatedConnectedImageFilterDoc[] = {
  (char*)"vtkITKIsolatedConnectedImageFilter - Wrapper class around itk::IsolatedConnectedImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterUSUS\n\n",
  (char*)" vtkITKIsolatedConnectedImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKIsolatedConnectedImageFilterStaticNew()
{
  return vtkITKIsolatedConnectedImageFilter::New();
}

PyObject *PyVTKClass_vtkITKIsolatedConnectedImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKIsolatedConnectedImageFilterStaticNew,
                        PyvtkITKIsolatedConnectedImageFilterMethods,
                        (char*)"vtkITKIsolatedConnectedImageFilter",modulename,
                        (char**)vtkITKIsolatedConnectedImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterUSUSNew(modulename));
}

