// python wrapper for vtkITKNeighborhoodConnectedImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKNeighborhoodConnectedImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKNeighborhoodConnectedImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKNeighborhoodConnectedImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterUSUSNew(char *); }

static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  const char    *temp20;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNeighborhoodConnectedImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNeighborhoodConnectedImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  vtkITKNeighborhoodConnectedImageFilter  *temp20;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNeighborhoodConnectedImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKNeighborhoodConnectedImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKNeighborhoodConnectedImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_SetReplaceValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  double   temp0;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKNeighborhoodConnectedImageFilter::SetReplaceValue(temp0);
      }
    else
      {
      op->SetReplaceValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_SetUpper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  double   temp0;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKNeighborhoodConnectedImageFilter::SetUpper(temp0);
      }
    else
      {
      op->SetUpper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_GetUpper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  double   temp20;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNeighborhoodConnectedImageFilter::GetUpper();
      }
    else
      {
      temp20 = op->GetUpper();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_SetLower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  double   temp0;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKNeighborhoodConnectedImageFilter::SetLower(temp0);
      }
    else
      {
      op->SetLower(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_GetLower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  double   temp20;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNeighborhoodConnectedImageFilter::GetLower();
      }
    else
      {
      temp20 = op->GetLower();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKNeighborhoodConnectedImageFilter::SetRadius(temp0,temp1,temp2);
      }
    else
      {
      op->SetRadius(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  unsigned int      temp20;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNeighborhoodConnectedImageFilter::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_SetSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKNeighborhoodConnectedImageFilter::SetSeed(temp0,temp1,temp2);
      }
    else
      {
      op->SetSeed(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_ClearSeeds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKNeighborhoodConnectedImageFilter::ClearSeeds();
      }
    else
      {
      op->ClearSeeds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNeighborhoodConnectedImageFilter_AddSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNeighborhoodConnectedImageFilter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkITKNeighborhoodConnectedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKNeighborhoodConnectedImageFilter::AddSeed(temp0,temp1,temp2);
      }
    else
      {
      op->AddSeed(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKNeighborhoodConnectedImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKNeighborhoodConnectedImageFilter\nC++: vtkITKNeighborhoodConnectedImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKNeighborhoodConnectedImageFilter\nC++: vtkITKNeighborhoodConnectedImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetReplaceValue",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_SetReplaceValue, 1,
   (char*)"V.SetReplaceValue(float)\nC++: void SetReplaceValue (double value);InputImagePixelType d static_cast InputImagePixelType value DelegateITKInputMacro SetReplaceValue d \n\n"},
  {(char*)"SetUpper",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_SetUpper, 1,
   (char*)"V.SetUpper(float)\nC++: void SetUpper (double ind);InputImagePixelType d static_cast InputImagePixelType ind DelegateITKInputMacro SetUpper d \n\n"},
  {(char*)"GetUpper",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_GetUpper, 1,
   (char*)"V.GetUpper() -> float\nC++: double GetUpper ();DelegateITKOutputMacro GetUpper \n\n"},
  {(char*)"SetLower",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_SetLower, 1,
   (char*)"V.SetLower(float)\nC++: void SetLower (double ind);InputImagePixelType d static_cast InputImagePixelType ind DelegateITKInputMacro SetLower d \n\n"},
  {(char*)"GetLower",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_GetLower, 1,
   (char*)"V.GetLower() -> float\nC++: double GetLower ();DelegateITKOutputMacro GetLower \n\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_SetRadius, 1,
   (char*)"V.SetRadius(int, int, int)\nC++: void SetRadius (unsigned int x, unsigned int y, unsigned int z);ImageFilterType InputImageSizeType size size x size y size z DelegateITKInputMacro SetRadius size \n\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_GetRadius, 1,
   (char*)"V.GetRadius() -> int\nC++: unsigned int GetRadius ();return this GetImageFilterPointer GetRadius \n\n"},
  {(char*)"SetSeed",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_SetSeed, 1,
   (char*)"V.SetSeed(int, int, int)\nC++: void SetSeed (int x, int y, int z);ImageFilterType IndexType seed seed x seed y seed z this GetImageFilterPointer SetSeed seed \n\n"},
  {(char*)"ClearSeeds",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_ClearSeeds, 1,
   (char*)"V.ClearSeeds()\nC++: void ClearSeeds ();this GetImageFilterPointer ClearSeeds \n\n"},
  {(char*)"AddSeed",                (PyCFunction)PyvtkITKNeighborhoodConnectedImageFilter_AddSeed, 1,
   (char*)"V.AddSeed(int, int, int)\nC++: void AddSeed (int x, int y, int z);ImageFilterType IndexType seed seed x seed y seed z this GetImageFilterPointer AddSeed seed \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKNeighborhoodConnectedImageFilterDoc[] = {
  (char*)"vtkITKNeighborhoodConnectedImageFilter - Wrapper class around itk::NeighborhoodConnectedImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterUSUS\n\n",
  (char*)" vtkITKNeighborhoodConnectedImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKNeighborhoodConnectedImageFilterStaticNew()
{
  return vtkITKNeighborhoodConnectedImageFilter::New();
}

PyObject *PyVTKClass_vtkITKNeighborhoodConnectedImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKNeighborhoodConnectedImageFilterStaticNew,
                        PyvtkITKNeighborhoodConnectedImageFilterMethods,
                        (char*)"vtkITKNeighborhoodConnectedImageFilter",modulename,
                        (char**)vtkITKNeighborhoodConnectedImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterUSUSNew(modulename));
}

