// python wrapper for vtkITKThresholdSegmentationLevelSetImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKThresholdSegmentationLevelSetImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKThresholdSegmentationLevelSetImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKThresholdSegmentationLevelSetImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  const char    *temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  vtkITKThresholdSegmentationLevelSetImageFilter  *temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKThresholdSegmentationLevelSetImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKThresholdSegmentationLevelSetImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_GetUpperThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  float    temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::GetUpperThreshold();
      }
    else
      {
      temp20 = op->GetUpperThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_GetLowerThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  float    temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::GetLowerThreshold();
      }
    else
      {
      temp20 = op->GetLowerThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_GetIsoSurfaceValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  float    temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::GetIsoSurfaceValue();
      }
    else
      {
      temp20 = op->GetIsoSurfaceValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SetUpperThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  float    temp0;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::SetUpperThreshold(temp0);
      }
    else
      {
      op->SetUpperThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SetLowerThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  float    temp0;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::SetLowerThreshold(temp0);
      }
    else
      {
      op->SetLowerThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SetIsoSurfaceValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  float    temp0;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::SetIsoSurfaceValue(temp0);
      }
    else
      {
      op->SetIsoSurfaceValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  int      temp0;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  int      temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SetMaximumIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  int      temp0;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::SetMaximumIterations(temp0);
      }
    else
      {
      op->SetMaximumIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_GetMaximumIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  int      temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::GetMaximumIterations();
      }
    else
      {
      temp20 = op->GetMaximumIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SetMaximumRMSError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  float    temp0;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::SetMaximumRMSError(temp0);
      }
    else
      {
      op->SetMaximumRMSError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SetUseNegativeFeatures(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  int      temp0;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::SetUseNegativeFeatures(temp0);
      }
    else
      {
      op->SetUseNegativeFeatures(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SetReverseExpansionDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  int      temp0;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::SetReverseExpansionDirection(temp0);
      }
    else
      {
      op->SetReverseExpansionDirection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SetFeatureImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::SetFeatureImage(temp0);
      }
    else
      {
      op->SetFeatureImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_GetSpeedImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  vtkImageData  *temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::GetSpeedImage();
      }
    else
      {
      temp20 = op->GetSpeedImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SetFeatureScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  float    temp0;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::SetFeatureScaling(temp0);
      }
    else
      {
      op->SetFeatureScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_SetCurvatureScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  float    temp0;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::SetCurvatureScaling(temp0);
      }
    else
      {
      op->SetCurvatureScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_GetCurvatureScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  float    temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::GetCurvatureScaling();
      }
    else
      {
      temp20 = op->GetCurvatureScaling();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_GetRMSChange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  float    temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::GetRMSChange();
      }
    else
      {
      temp20 = op->GetRMSChange();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_GetElapsedIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  int      temp20;
  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKThresholdSegmentationLevelSetImageFilter::GetElapsedIterations();
      }
    else
      {
      temp20 = op->GetElapsedIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKThresholdSegmentationLevelSetImageFilter_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKThresholdSegmentationLevelSetImageFilter *op;

  op = (vtkITKThresholdSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKThresholdSegmentationLevelSetImageFilter::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKThresholdSegmentationLevelSetImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKThresholdSegmentationLevelSetImageFilter\nC++: vtkITKThresholdSegmentationLevelSetImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKThresholdSegmentationLevelSetImageFilter\nC++: vtkITKThresholdSegmentationLevelSetImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetUpperThreshold",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_GetUpperThreshold, 1,
   (char*)"V.GetUpperThreshold() -> float\nC++: float GetUpperThreshold ();DelegateITKOutputMacro GetUpperThreshold \n\n"},
  {(char*)"GetLowerThreshold",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_GetLowerThreshold, 1,
   (char*)"V.GetLowerThreshold() -> float\nC++: float GetLowerThreshold ();DelegateITKOutputMacro GetLowerThreshold \n\n"},
  {(char*)"GetIsoSurfaceValue",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_GetIsoSurfaceValue, 1,
   (char*)"V.GetIsoSurfaceValue() -> float\nC++: float GetIsoSurfaceValue ();DelegateITKOutputMacro GetIsoSurfaceValue \n\n"},
  {(char*)"SetUpperThreshold",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SetUpperThreshold, 1,
   (char*)"V.SetUpperThreshold(float)\nC++: void SetUpperThreshold (float value);DelegateITKInputMacro SetUpperThreshold value \n\n"},
  {(char*)"SetLowerThreshold",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SetLowerThreshold, 1,
   (char*)"V.SetLowerThreshold(float)\nC++: void SetLowerThreshold (float value);DelegateITKInputMacro SetLowerThreshold value \n\n"},
  {(char*)"SetIsoSurfaceValue",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SetIsoSurfaceValue, 1,
   (char*)"V.SetIsoSurfaceValue(float)\nC++: void SetIsoSurfaceValue (float value);DelegateITKInputMacro SetIsoSurfaceValue value \n\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (int value);DelegateITKInputMacro SetNumberOfIterations value \n\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: int GetNumberOfIterations ();DelegateITKOutputMacro GetNumberOfIterations \n\n"},
  {(char*)"SetMaximumIterations",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SetMaximumIterations, 1,
   (char*)"V.SetMaximumIterations(int)\nC++: void SetMaximumIterations (int value);DelegateITKInputMacro SetMaximumIterations value \n\n"},
  {(char*)"GetMaximumIterations",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_GetMaximumIterations, 1,
   (char*)"V.GetMaximumIterations() -> int\nC++: int GetMaximumIterations ();DelegateITKOutputMacro GetMaximumIterations \n\n"},
  {(char*)"SetMaximumRMSError",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SetMaximumRMSError, 1,
   (char*)"V.SetMaximumRMSError(float)\nC++: void SetMaximumRMSError (float value);DelegateITKInputMacro SetMaximumRMSError value \n\n"},
  {(char*)"SetUseNegativeFeatures",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SetUseNegativeFeatures, 1,
   (char*)"V.SetUseNegativeFeatures(int)\nC++: void SetUseNegativeFeatures (int value);DelegateITKInputMacro SetUseNegativeFeatures value \n\n"},
  {(char*)"SetReverseExpansionDirection",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SetReverseExpansionDirection, 1,
   (char*)"V.SetReverseExpansionDirection(int)\nC++: void SetReverseExpansionDirection (int value);DelegateITKInputMacro SetReverseExpansionDirection value \n\n"},
  {(char*)"SetFeatureImage",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SetFeatureImage, 1,
   (char*)"V.SetFeatureImage(vtkImageData)\nC++: void SetFeatureImage (vtkImageData *value);this vtkFeatureExporter SetInput value \n\n"},
  {(char*)"GetSpeedImage",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_GetSpeedImage, 1,
   (char*)"V.GetSpeedImage() -> vtkImageData\nC++: vtkImageData *GetSpeedImage ();this vtkSpeedImporter Update return this vtkSpeedImporter GetOutput \n\n"},
  {(char*)"SetFeatureScaling",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SetFeatureScaling, 1,
   (char*)"V.SetFeatureScaling(float)\nC++: void SetFeatureScaling (float value);DelegateITKInputMacro SetFeatureScaling value \n\n"},
  {(char*)"SetCurvatureScaling",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_SetCurvatureScaling, 1,
   (char*)"V.SetCurvatureScaling(float)\nC++: void SetCurvatureScaling (float value);DelegateITKInputMacro SetCurvatureScaling value \n\n"},
  {(char*)"GetCurvatureScaling",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_GetCurvatureScaling, 1,
   (char*)"V.GetCurvatureScaling() -> float\nC++: float GetCurvatureScaling ();DelegateITKOutputMacro GetCurvatureScaling \n\n"},
  {(char*)"GetRMSChange",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_GetRMSChange, 1,
   (char*)"V.GetRMSChange() -> float\nC++: float GetRMSChange ();DelegateITKOutputMacro GetRMSChange \n\n"},
  {(char*)"GetElapsedIterations",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_GetElapsedIterations, 1,
   (char*)"V.GetElapsedIterations() -> int\nC++: int GetElapsedIterations ();DelegateITKOutputMacro GetElapsedIterations \n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkITKThresholdSegmentationLevelSetImageFilter_Update, 1,
   (char*)"V.Update()\nC++: void Update ();if this vtkFeatureExporter GetInput this itkFeatureImporter Update if this GetOutput this GetOutput Update if this GetOutput GetSource \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKThresholdSegmentationLevelSetImageFilterDoc[] = {
  (char*)"vtkITKThresholdSegmentationLevelSetImageFilter - Wrapper class around itk::ThresholdSegmentationLevelSetImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKThresholdSegmentationLevelSetImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKThresholdSegmentationLevelSetImageFilterStaticNew()
{
  return vtkITKThresholdSegmentationLevelSetImageFilter::New();
}

PyObject *PyVTKClass_vtkITKThresholdSegmentationLevelSetImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKThresholdSegmentationLevelSetImageFilterStaticNew,
                        PyvtkITKThresholdSegmentationLevelSetImageFilterMethods,
                        (char*)"vtkITKThresholdSegmentationLevelSetImageFilter",modulename,
                        (char**)vtkITKThresholdSegmentationLevelSetImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

