// python wrapper for vtkITKCurvatureAnisotropicDiffusionImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKCurvatureAnisotropicDiffusionImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKCurvatureAnisotropicDiffusionImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKCurvatureAnisotropicDiffusionImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  const char    *temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  vtkITKCurvatureAnisotropicDiffusionImageFilter  *temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKCurvatureAnisotropicDiffusionImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKCurvatureAnisotropicDiffusionImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  double   temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilter::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_GetConductanceParameter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  double   temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilter::GetConductanceParameter();
      }
    else
      {
      temp20 = op->GetConductanceParameter();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  unsigned int      temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilter::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  unsigned int      temp0;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilter::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  double   temp0;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilter::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_SetConductanceParameter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  double   temp0;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilter::SetConductanceParameter(temp0);
      }
    else
      {
      op->SetConductanceParameter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_SetUseImageSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  int      temp0;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilter::SetUseImageSpacing(temp0);
      }
    else
      {
      op->SetUseImageSpacing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_UseImageSpacingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilter::UseImageSpacingOn();
      }
    else
      {
      op->UseImageSpacingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_UseImageSpacingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilter::UseImageSpacingOff();
      }
    else
      {
      op->UseImageSpacingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilter_GetUseImageSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilter *op;

  int      temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilter::GetUseImageSpacing();
      }
    else
      {
      temp20 = op->GetUseImageSpacing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKCurvatureAnisotropicDiffusionImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKCurvatureAnisotropicDiffusionImageFilter\nC++: vtkITKCurvatureAnisotropicDiffusionImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKCurvatureAnisotropicDiffusionImageFilter\nC++: vtkITKCurvatureAnisotropicDiffusionImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> float\nC++: double GetTimeStep ();DelegateITKOutputMacro GetTimeStep \n\n"},
  {(char*)"GetConductanceParameter",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_GetConductanceParameter, 1,
   (char*)"V.GetConductanceParameter() -> float\nC++: double GetConductanceParameter ();DelegateITKOutputMacro GetConductanceParameter \n\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: unsigned int GetNumberOfIterations ();DelegateITKOutputMacro GetNumberOfIterations \n\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (unsigned int value);DelegateITKInputMacro SetNumberOfIterations value \n\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_SetTimeStep, 1,
   (char*)"V.SetTimeStep(float)\nC++: void SetTimeStep (double value);DelegateITKInputMacro SetTimeStep value \n\n"},
  {(char*)"SetConductanceParameter",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_SetConductanceParameter, 1,
   (char*)"V.SetConductanceParameter(float)\nC++: void SetConductanceParameter (double value);DelegateITKInputMacro SetConductanceParameter value \n\n"},
  {(char*)"SetUseImageSpacing",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_SetUseImageSpacing, 1,
   (char*)"V.SetUseImageSpacing(int)\nC++: void SetUseImageSpacing (int value);DelegateITKInputMacro SetUseImageSpacing bool value \n\n"},
  {(char*)"UseImageSpacingOn",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_UseImageSpacingOn, 1,
   (char*)"V.UseImageSpacingOn()\nC++: void UseImageSpacingOn ();this SetUseImageSpacing true \n\n"},
  {(char*)"UseImageSpacingOff",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_UseImageSpacingOff, 1,
   (char*)"V.UseImageSpacingOff()\nC++: void UseImageSpacingOff ();this SetUseImageSpacing false \n\n"},
  {(char*)"GetUseImageSpacing",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilter_GetUseImageSpacing, 1,
   (char*)"V.GetUseImageSpacing() -> int\nC++: int GetUseImageSpacing ();DelegateITKOutputMacro GetUseImageSpacing \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKCurvatureAnisotropicDiffusionImageFilterDoc[] = {
  (char*)"vtkITKCurvatureAnisotropicDiffusionImageFilter - Wrapper class around itk::CurvatureAnisotropicDiffusionImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKCurvatureAnisotropicDiffusionImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKCurvatureAnisotropicDiffusionImageFilterStaticNew()
{
  return vtkITKCurvatureAnisotropicDiffusionImageFilter::New();
}

PyObject *PyVTKClass_vtkITKCurvatureAnisotropicDiffusionImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKCurvatureAnisotropicDiffusionImageFilterStaticNew,
                        PyvtkITKCurvatureAnisotropicDiffusionImageFilterMethods,
                        (char*)"vtkITKCurvatureAnisotropicDiffusionImageFilter",modulename,
                        (char**)vtkITKCurvatureAnisotropicDiffusionImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

